//------------------------------------------------------------------------------
// <auto-generated>
//    This code was generated from a template.
//
//    Manual changes to this file may cause unexpected behavior in your application.
//    Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ALS.ALSI.Biz.DataAccess
{
    using System;
    using System.Collections.Generic;
    
    public partial class tb_m_detail_spec_lpc
    {
        public tb_m_detail_spec_lpc()
        {
            this.template_seagate_lpc_coverpage = new HashSet<template_seagate_lpc_coverpage>();
            this.template_seagate_hpa_coverpage = new HashSet<template_seagate_hpa_coverpage>();
            this.template_wd_lpc_coverpage = new HashSet<template_wd_lpc_coverpage>();
        }
    
        public int ID { get; set; }
        public Nullable<int> specification_id { get; set; }
        public string B { get; set; }
        public string C { get; set; }
        public string D { get; set; }
        public string E { get; set; }
        public string F { get; set; }
        public string G { get; set; }
        public string H { get; set; }
        public string I { get; set; }
        public string J { get; set; }
        public string K { get; set; }
        public string L { get; set; }
        public string M { get; set; }
    
        public virtual m_specification m_specification { get; set; }
        public virtual ICollection<template_seagate_lpc_coverpage> template_seagate_lpc_coverpage { get; set; }
        public virtual ICollection<template_seagate_hpa_coverpage> template_seagate_hpa_coverpage { get; set; }
        public virtual ICollection<template_wd_lpc_coverpage> template_wd_lpc_coverpage { get; set; }
    }
}
